<div class="min-h-screen bg-odb-50 w-full">
  <main class="w-full h-full flex flex-wrap justify-center items-center">
    <div
      class="w-full bg-odb-800 mb-12 lg:mb-24 p-4 pb-6 flex justify-between items-center"
    >
      <div class="flex items-center">
        <img
          src="/assets/images/logo-odb-white.png"
          class="w-40 sm:inline-block mr-4 pr-4 border-r border-gray-100 hidden"
          alt="Logo oportunidades de bancos - Blanco"
        />
        <span class="font-odb text-2xl text-gray-100"> Admin dashboard</span>
      </div>
      <button
        (click)="logOut()"
        class="px-4 py-2 text-gray-100 border-2 rounded border-gray-100 hover:bg-odb-400"
      >
        Cerrar sesión
        <i class="bi bi-door-closed ml-4"></i>
      </button>
    </div>
    <ng-container>
      <div class="dashboard-card" routerLink="properties">
        <h2>Inmuebles</h2>
        <p class="p-icon">
          <i class="bi bi-list-columns"></i>
        </p>
        <p class="p-desc">
          Ver detalles de inmuebles específicos, deshabilitarlos o eliminarlos
          permanentemente.
        </p>
      </div>
      <div class="dashboard-card" routerLink="zones">
        <h2>Deshabilitar Zonas</h2>
        <p class="p-icon">
          <i class="bi bi-dash-circle"></i>
        </p>
        <p class="p-desc">Habilitar/deshabilitar municipios y provincias.</p>
      </div>
      <div class="dashboard-card" routerLink="requests">
        <h2>Solicitudes</h2>
        <p class="p-icon">
          <i class="bi bi-file-earmark-spreadsheet"></i>
        </p>
        <p class="p-desc">
          Ver y exportar detalles de las solicitudes de franquiciados.
        </p>
      </div>
      <div
        class="m-8 lg:mx-auto w-full lg:w-1/5 h-80 rounded-xl flex flex-col px-4 py-8 justify-between border-2 bg-gray-200 border-gray-400"
      >
        <h2
          class="text-3xl font-odb font-bold text-center uppercase text-gray-400"
        >
          Análisis
        </h2>
        <p class="text-center block w-full text-5xl p-icon text-gray-400">
          <i class="bi bi-graph-up text-gray-400"></i>
        </p>
        <p class="leading-tight text-center p-desc text-gray-400">
          Estadísticas sobre la distribución de inmuebles, origen, tipos,
          subtipos y búsquedas frecuentes.
        </p>
      </div>
    </ng-container>
  </main>
</div>

<ng-template #verify>
  <div class="w-full mt-24 px-4 text-center">
    <h1 class="mb-4 text-2xl font-odb font-bold">E-mail no verificado</h1>
    <p>
      Revisa la bandeja de entrada o spam de tu correo electrónico y haz click
      en el enlace de verificación.
    </p>
    <button
      (click)="resendEmail()"
      class="px-4 py-2 text-gray-100 bg-odb-500 border-2 rounded border-odb-800 hover:bg-odb-800 mt-4"
    >
      <i class="bi bi-arrow-repeat mr-2"></i>
      Reenviar correo de verificación
    </button>
  </div>
</ng-template>
